<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">

<web-app>
  <context-param>
    <param-name>archivoConfiguracion</param-name>
    <param-value>GestorArranqueConfiguracion_w83a.xml</param-value>
    <description>Archivo de configuracion de componentes de aplicacion</description>
  </context-param>
   <context-param>
    <param-name>idIdiomaCompartido</param-name>
    <param-value>w83aCgaIdioma</param-value>
    <description>Nombre del atributo de Contexto de Aplicacion donde se deposita el idioma compartido</description>
  </context-param>
  <context-param>
    <param-name>aplicacion</param-name>
    <param-value>w83a</param-value>
    <description>Nombre de la aplicacion web</description>
  </context-param>
  <context-param>
    <param-name>idContextoAplicacionGlobal</param-name>
    <param-value>w83a</param-value>
    <description>Id del contexto global de aplicacion y string con el que se va a obtener el nombre de su fichero de cofiguracion</description>
  </context-param>

  <!--  Mensajes tablas-->
<!-- filter para checkar la seguridad y el usuario -->
  <filter>
	  <filter-name>CheckSecurityFilter</filter-name>
	  <filter-class>w83a.ejie.general.filters.W83aCheckSecurityFilter</filter-class>
	  <init-param>
	      <param-name>ENCENDIDO</param-name>
	      <param-value>on</param-value>
	   </init-param>
</filter>

	<filter-mapping>
	  <filter-name>CheckSecurityFilter</filter-name>
	  <url-pattern>*.do</url-pattern>
	</filter-mapping>
  
  <filter>
  <filter-name>EncodingFilter</filter-name>
    <filter-class>
      w83a.ejie.general.filters.W83aEnterEncodingFilter
    </filter-class>
    <init-param>
      <param-name>encoding</param-name>
      <param-value>ISO-8859-1</param-value>
    </init-param>
</filter>

<filter-mapping>
  <filter-name>EncodingFilter</filter-name>
  <url-pattern>*</url-pattern>
</filter-mapping>
  <listener>
    <listener-class>es.ejie.frmk.control.arranque.Q70GestorArranqueConfiguracion</listener-class>
  </listener>
  
  <servlet>
  		<servlet-name>i18NServlet</servlet-name>
        <display-name>riaI18NServlet</display-name>
        <servlet-class>com.ejie.ria.servlet.RiaI18NServlet</servlet-class>
  </servlet>
  
	<servlet>
		<servlet-name>combosRIAServlet</servlet-name>
		<display-name>riaCombosServlet</display-name>
		<servlet-class>com.ejie.ria.servlet.RiaCombosServlet</servlet-class>
	</servlet>
 
  <servlet>
    <servlet-name>joinedListsServlet</servlet-name>
    <display-name>w83aJoinedListsServlet</display-name>
    <servlet-class>es.ejie.frmk.listeners.listasenlazadas.Q70ListasEnlazadasListener</servlet-class>
  </servlet>
  
  <servlet>
    <servlet-name>remoteValidatorServlet</servlet-name>
    <display-name>remoteValidatorServlet</display-name>
    <servlet-class>es.ejie.frmk.listeners.validadorremoto.Q70ValidadorRemotoListener</servlet-class>
  </servlet>
 <!-- Action Servlet Configuration -->
  <servlet>
    <servlet-name>GestorDeCanalHTTPBrowserPC</servlet-name>
    <display-name>GestorDeCanalHTTPBrowserPC</display-name>
    <servlet-class>es.ejie.frmk.control.canal.Q70GestorDeCanalHTTPBrowserPC</servlet-class>
    
    <init-param>
      <param-name>grupoAplicacion</param-name>
      <param-value>FrameworkQ70</param-value>
    </init-param>
   
    <init-param>
      <param-name>entidad</param-name>
      <param-value>ejie</param-value>
    </init-param>
    
   <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/struts-config.xml</param-value>
    </init-param>
    
    <init-param>
      <param-name>config/comunJSP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/struts-comun.xml</param-value>
    </init-param> 
    
     <init-param>
      <param-name>config/lotesPreavisosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/lotesPreavisosOP/struts-lotesPreavisos.xml</param-value>
    </init-param>
    
     <init-param>
      <param-name>config/documentacionOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/documentacionOP/struts-documentacion.xml</param-value>
    </init-param>
    
    <init-param>
      <param-name>config/centroTrabajoOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/documentacionOP/struts-centroTrabajo.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/actasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/documentacionOP/struts-actas.xml</param-value>
    </init-param>
     <init-param>
      <param-name>config/incidenciasOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/documentacionOP/struts-incidencias.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/impugnacionesOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/documentacionOP/struts-impugnaciones.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/resultadosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/resultadosOP/struts-resultados.xml</param-value>
    </init-param>
    <init-param>
      <param-name>config/preavisosOP</param-name>
      <param-value>/WEB-INF/OperacionesPresentacion/preavisosOP/struts-preavisos.xml</param-value>
    </init-param>
    <init-param>
      <param-name>debug</param-name>
      <param-value>3</param-value>
    </init-param>
    
    <init-param>
      <param-name>detail</param-name>
      <param-value>3</param-value>
    </init-param>
    
    <load-on-startup>0</load-on-startup>
    
  </servlet>

  <!-- Servlet Mapping -->
  <servlet-mapping>
    <servlet-name>GestorDeCanalHTTPBrowserPC</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>

	<servlet-mapping>
        <servlet-name>i18NServlet</servlet-name>
        <url-pattern>/riaI18NServlet</url-pattern>
 	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>combosRIAServlet</servlet-name>
		<url-pattern>/w83ariacombosServlet</url-pattern>
	</servlet-mapping>

 	<servlet-mapping>
	    <servlet-name>joinedListsServlet</servlet-name>
	    <url-pattern>/w83ajoinedListsServlet</url-pattern>
	</servlet-mapping>
	
	<servlet-mapping>
    	<servlet-name>remoteValidatorServlet</servlet-name>
    	<url-pattern>/w83aremoteValidatorServlet</url-pattern>
  	</servlet-mapping>
  
  <!-- Tiempo de la sesion en minutos -->
  <session-config>
    <session-timeout>30</session-timeout>
  </session-config>

  
  <!-- Struts Tag Library Descriptors -->
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-bean.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-bean.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-html.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-html.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-logic.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-logic.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/ejieFramework-html.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/ejieFramework-html.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/tld/struts-tiles.tld</taglib-uri>
    <taglib-location>/WEB-INF/tld/struts-tiles.tld</taglib-location>
  </taglib>
</web-app>